// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// ContextStorageUserCase is an autogenerated mock type for the ContextStorageUserCase type
type ContextStorageUserCase struct {
	mock.Mock
}

// Clear provides a mock function with given fields: ctx, slug
func (_m *ContextStorageUserCase) Clear(ctx string, slug string) error {
	ret := _m.Called(ctx, slug)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string) error); ok {
		r0 = rf(ctx, slug)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: ctx, slug
func (_m *ContextStorageUserCase) Get(ctx string, slug string) (string, error) {
	ret := _m.Called(ctx, slug)

	var r0 string
	if rf, ok := ret.Get(0).(func(string, string) string); ok {
		r0 = rf(ctx, slug)
	} else {
		r0 = ret.Get(0).(string)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(ctx, slug)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Set provides a mock function with given fields: ctx, slug, payload
func (_m *ContextStorageUserCase) Set(ctx string, slug string, payload string) error {
	ret := _m.Called(ctx, slug, payload)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string, string) error); ok {
		r0 = rf(ctx, slug, payload)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
